Bug 451903 - Review Request: perl-Mail-DKIM - Sign and verify Internet mail with DKIM/DomainKey signatures
Review Request: perl-Mail-DKIM - Sign and verify Internet mail with DKIM/Doma...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On: 451900
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-17 21:36 EDT by Kyle VanderBeek
Modified: 2008-06-26 04:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-24 13:31:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kyle VanderBeek 2008-06-17 21:36:25 EDT
Spec URL: http://kylev.fedorapeople.org/RPM/perl-Mail-DKIM.spec
SRPM URL: http://kylev.fedorapeople.org/RPM/perl-Mail-DKIM-0.32-1.fc8.src.rpm
Description: DKIM and Domain Keys are two methods for authenticating email being adopted by the likes of Gmail, Yahoo, and many large banks.  Having this package installed allows users to turn on a SpamAssassin plugin to detect fraud and phishing as well as sign your outbound messages.
Comment 1 Kyle VanderBeek 2008-06-17 21:38:30 EDT
Adding (soft) block on bug 451900 since users won't be able to enable the
SpamAssassin Mail::SpamAssassin::Plugin::DKIM plugin successfully until it is
resolved (or if they manually install the missing Bignum module).
Comment 2 Jason Tibbitts 2008-06-17 21:44:54 EDT
This would seem to be a duplicate of bug 250634, but I'm not sure if that ticket
is actually going to move forward.
Comment 3 Steven Pritchard 2008-06-18 09:39:23 EDT
Please go ahead with this review.
Comment 4 Jason Tibbitts 2008-06-18 13:38:03 EDT
Builds fine; rpmlint has several complaints in two classes:

spurious-executable-perm complaints on /usr/share/doc/perl-Mail-DKIM-0.32/test_nowsp_rsa_sha1.pl, dkimverify.pl, dkimsign.pl, test_bare_rsa_sha1.pl, and test_canonicalization.pl

doc-file-dependency complaints on the various dependencies of those executable docfiles.

Executable documentation isn't necessarily problem; what you need to avoid is dependencies caused solely by the documentation.  In this case, the following dependencies come only from those executable docfiles:

/usr/bin/perl
perl(Getopt::Long)
perl(Mail::DKIM::Signer)
perl(Mail::DKIM::TextWrap)
perl(Mail::DKIM::Verifier)
perl(Pod::Usage)

Some of them are obviously not problematic (/usr/bin/perl and the ones satisfied by the package iteslf) but 

I'd suggest either adding 'chmod -x scripts/*' at the end of %prep, or installing the scripts you expect people to want to call into %{_bindir}.


* source files match upstream:
   cb871f5f0c1ec125ca7d691d42a041ecd85d969a209c5fc070d6c3d626d9cb6e  
   Mail-DKIM-0.32.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
X rpmlint has some valid complaints.
X final provides and requires:
   perl(Mail::DKIM) = 0.32
   perl(Mail::DKIM::Algorithm::Base)
   perl(Mail::DKIM::Algorithm::dk_rsa_sha1)
   perl(Mail::DKIM::Algorithm::rsa_sha1)
   perl(Mail::DKIM::Algorithm::rsa_sha256)
   perl(Mail::DKIM::Canonicalization::Base)
   perl(Mail::DKIM::Canonicalization::DkCommon)
   perl(Mail::DKIM::Canonicalization::DkimCommon)
   perl(Mail::DKIM::Canonicalization::dk_nofws)
   perl(Mail::DKIM::Canonicalization::dk_simple)
   perl(Mail::DKIM::Canonicalization::nowsp)
   perl(Mail::DKIM::Canonicalization::relaxed)
   perl(Mail::DKIM::Canonicalization::simple)
   perl(Mail::DKIM::Common) = 0.32
   perl(Mail::DKIM::DNS)
   perl(Mail::DKIM::DkSignature)
   perl(Mail::DKIM::DkimPolicy)
   perl(Mail::DKIM::Key)
   perl(Mail::DKIM::KeyValueList)
   perl(Mail::DKIM::MessageParser)
   perl(Mail::DKIM::Policy)
   perl(Mail::DKIM::PrivateKey)
   perl(Mail::DKIM::PublicKey)
   perl(Mail::DKIM::Signature)
   perl(Mail::DKIM::Signer) = 0.32
   perl(Mail::DKIM::SignerPolicy)
   perl(Mail::DKIM::TextWrap)
   perl(Mail::DKIM::Verifier) = 0.32
   perl-Mail-DKIM = 0.32-1.fc10
  =
   /usr/bin/perl
   perl(:MODULE_COMPAT_5.10.0)
   perl(Carp)
   perl(Crypt::OpenSSL::RSA)
   perl(Digest::SHA)
X  perl(Getopt::Long)
   perl(MIME::Base64)
   perl(Mail::Address)
   perl(Mail::DKIM::Algorithm::dk_rsa_sha1)
   perl(Mail::DKIM::Algorithm::rsa_sha1)
   perl(Mail::DKIM::Algorithm::rsa_sha256)
   perl(Mail::DKIM::Canonicalization::dk_nofws)
   perl(Mail::DKIM::Canonicalization::dk_simple)
   perl(Mail::DKIM::Canonicalization::nowsp)
   perl(Mail::DKIM::Canonicalization::relaxed)
   perl(Mail::DKIM::Canonicalization::simple)
   perl(Mail::DKIM::DNS)
   perl(Mail::DKIM::DkSignature)
   perl(Mail::DKIM::DkimPolicy)
   perl(Mail::DKIM::Policy)
   perl(Mail::DKIM::PrivateKey)
   perl(Mail::DKIM::PublicKey)
   perl(Mail::DKIM::Signature)
   perl(Mail::DKIM::Signer)
   perl(Mail::DKIM::TextWrap)
   perl(Mail::DKIM::Verifier)
   perl(Net::DNS)
X  perl(Pod::Usage)
   perl(base)
   perl(strict)
   perl(warnings)

* %check is present and all tests pass:
   All tests successful.
   Files=8, Tests=162,  2 wallclock secs ( 0.63 cusr +  0.07 csys =  0.70 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
Comment 5 Kyle VanderBeek 2008-06-18 14:02:42 EDT
Spec URL: http://kylev.fedorapeople.org/RPM/perl-Mail-DKIM.spec
SRPM URL: http://kylev.fedorapeople.org/RPM/perl-Mail-DKIM-0.32-2.fc8.src.rpm

Updated to include the example scripts/*.pl files as valuable/useful, but
non-executable and therefore not dependancy creating.  rpmlint now silent.
Comment 6 Jason Tibbitts 2008-06-18 14:14:21 EDT
Yep, looks good.

APPROVED
Comment 7 Kyle VanderBeek 2008-06-18 15:01:23 EDT
New Package CVS Request
=======================
Package Name: perl-Mail-DKIM
Short Description: Sign and verify Internet mail with DKIM/DomainKey signatures
Owners: kylev
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 8 Jason Tibbitts 2008-06-18 20:47:36 EDT
CVS done.
Comment 9 Fedora Update System 2008-06-23 16:08:38 EDT
perl-Mail-DKIM-0.32-3.fc9 has been submitted as an update for Fedora 9
Comment 10 Fedora Update System 2008-06-23 16:08:39 EDT
perl-Mail-DKIM-0.32-3.fc8 has been submitted as an update for Fedora 8
Comment 11 Fedora Update System 2008-06-26 04:30:06 EDT
perl-Mail-DKIM-0.32-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2008-06-26 04:32:31 EDT
perl-Mail-DKIM-0.32-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.